aboutsummaryrefslogtreecommitdiff
path: root/sbopkglint.d/85-perl.t.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sbopkglint.d/85-perl.t.sh')
-rw-r--r--sbopkglint.d/85-perl.t.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/sbopkglint.d/85-perl.t.sh b/sbopkglint.d/85-perl.t.sh
new file mode 100644
index 0000000..aba9e62
--- /dev/null
+++ b/sbopkglint.d/85-perl.t.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# sbopkglint test, must be sourced by sbopkglint (not run standalone).
+
+# PKG, PRGNAM, VERSION, ARCH are set by sbopkglint. also the current
+# directory is the root of the installed package tree.
+
+#######################################################################
+# the SBo perl template has this line:
+# find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+# this just checks that the files that are supposed to be removed,
+# really are removed.
+
+find_warnfiles "forbidden files:" \
+ -name perllocal.pod -o -name ".packlist" -o -name "*.bs"